/***********************************************************************/
/*                                                                     */
/*  FILE        :IRQ_PulseOut_RX63N.c                                  */
/*  DATE        :Thu, Mar 23, 2017                                     */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :RX63N                                                 */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
//#include "typedefine.h"
#include "iodefine.h"
#include "stdbool.h"

/*******************************************************************************
Macro definitions
*******************************************************************************/
#define SET_PULSE_CNT       (1999UL)        /* setting pulse output count */

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
void main(void);

/*******************************************************************************
* Private global variables and functions
*******************************************************************************/
static unsigned short tgia1_cnt;

/*******************************************************************************
* Function Name: main
* Description  : Main program
* Arguments    : none
* Return Value : none
*******************************************************************************/
void main(void)
{
    tgia1_cnt = 0;

    while(1);
}

/*******************************************************************************
* Function Name: Irq7IntFunc
* Description  : IRQ7 interrupt program
* Arguments    : none
* Return Value : none
*******************************************************************************/
void Irq7IntFunc(void)
{
    bool rtn;

    /* stop pulse output ? */
    if ( 0 == tgia1_cnt )
    {
        tgia1_cnt = SET_PULSE_CNT;
        rtn = R_PG_Timer_SetCounterValue_MTU_U0_C1(0x0000); /* clear TCNT1 */

        /* normal end ? */
        if ( true == rtn )
        {
            rtn = R_PG_Timer_StartCount_MTU_U0_C1();        /* start TCNT1 */
        }
        else
        {
            /* Do nothing */
        }
    }
    /* outputting pulse */
    else
    {
        /* Do nothing */
    }
}

/*******************************************************************************
* Function Name: Mtu1IcCmAIntFunc
* Description  : MTU1 compare match A interrupt program
* Arguments    : none
* Return Value : none
*******************************************************************************/
void Mtu1IcCmAIntFunc(void)
{
    bool rtn;

    /* outputting pulse ? */
    if ( 0 != tgia1_cnt )
    {
        tgia1_cnt--;
    }
    /* stop pulse output */
    else
    {
        rtn = R_PG_Timer_HaltCount_MTU_U0_C1();     /* stop TCNT1 */
    }
}

/******************************************************************************
Option-Setting Memory
******************************************************************************/
#pragma address OFS1_REG = 0xFFFFFF88   /* OFS1 register */
const unsigned long OFS1_REG = 0xFFFFFFFF;

#pragma address OFS0_REG = 0xFFFFFF8C   /* OFS0 register */
const unsigned long OFS0_REG = 0xFFFFFFFF;

