/************************************************************************
*
* Device     : RX/RX600/RX63N,RX631
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 0.10  (2011-02-21)  [Hardware Manual Revision : 0.01]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2011 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_IRQ_PulseOut_RX63N.h"

extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable();
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_P1();              /* Setting P17 pull-up */
    R_PG_ExtInterrupt_Set_IRQ7();       /* Setting IRQ7 */
    R_PG_Timer_Set_MTU_U0_C1();         /* Setting MTU1 */
}
